package com.trade.service.thirdparty.sop.dto;

/**
 * sop 企业详情接口返回 - 企业基础信息
 */
public class SOPEnterprisInfo {

    /* 企业中文名称 */
    private String enterpriseCN;
    /* 企业英文名称 */
    private String enterpriseEN;
    /* 企业曾用名 */
    private String usedName;
    /* 统一社会信用代码 */
    private String socialCreditCode;
    /* 企业类型（性质） */
    private String economicType;
    /* 所属行业(该字段，企查查是没有返回的) */
    private String businessBackground;
    /* 企业性质 */
    private String enterpriseNature;
    /* 法定代表人 */
    private String legalPerson;
    /* 注册资本 */
    private String registeredCapital;
    /* 注册资本币种 */
    private String capitalCurrency;
    /* 成立日期"yyyy-MM-dd" */
    private String startDate;
    /* 营业期限自"yyyy-MM-dd" */
    private String operatingPeriodFrom;
    /* 营业期限至"yyyy-MM-dd" */
    private String operatingPeriodEnd;
    /* 登记机关 */
    private String registOrgan;
    /* 登记状态（经营状态） */
    private String registStatus;
    /* 注册号 */
    private String registNo;
    /* 组织机构代码 */
    private String organCode;
    /* 核准日期（发照日期）"yyyy-MM-dd" */
    private String checkDate;
    /* 注册（登记）地址 */
    private String address;
    /* 经营（业务）范围 */
    private String businessScope;
    /* 信用评级 */
    private String entCreditRating;
    /* 净资产 */
    private String netAsset;
    /* 企业简介 */
    private String introduction;
    /* 信用评级 */
    private String mobile;
    /* 净资产 */
    private String email;
    /* 企业简介 */
    private String remark;
    /* 接口时间戳"yyyy-MM-dd HH:mm:ss" */
    private String timestamps;
    /* 标识企业是否事业单位 1:是，0:否 */
    private String institution;
    /* 数据更新时间"yyyy-MM-dd HH:mm:ss" */
    private String gmtModified;

    public String getEnterpriseCN() {
        return enterpriseCN;
    }

    public void setEnterpriseCN(String enterpriseCN) {
        this.enterpriseCN = enterpriseCN;
    }

    public String getEnterpriseEN() {
        return enterpriseEN;
    }

    public void setEnterpriseEN(String enterpriseEN) {
        this.enterpriseEN = enterpriseEN;
    }

    public String getUsedName() {
        return usedName;
    }

    public void setUsedName(String usedName) {
        this.usedName = usedName;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public String getEconomicType() {
        return economicType;
    }

    public void setEconomicType(String economicType) {
        this.economicType = economicType;
    }

    public String getBusinessBackground() {
        return businessBackground;
    }

    public void setBusinessBackground(String businessBackground) {
        this.businessBackground = businessBackground;
    }

    public String getEnterpriseNature() {
        return enterpriseNature;
    }

    public void setEnterpriseNature(String enterpriseNature) {
        this.enterpriseNature = enterpriseNature;
    }

    public String getLegalPerson() {
        return legalPerson;
    }

    public void setLegalPerson(String legalPerson) {
        this.legalPerson = legalPerson;
    }

    public String getRegisteredCapital() {
        return registeredCapital;
    }

    public void setRegisteredCapital(String registeredCapital) {
        this.registeredCapital = registeredCapital;
    }

    public String getCapitalCurrency() {
        return capitalCurrency;
    }

    public void setCapitalCurrency(String capitalCurrency) {
        this.capitalCurrency = capitalCurrency;
    }

    public String getStartDate() {
        return startDate;
    }

    public void setStartDate(String startDate) {
        this.startDate = startDate;
    }

    public String getOperatingPeriodFrom() {
        return operatingPeriodFrom;
    }

    public void setOperatingPeriodFrom(String operatingPeriodFrom) {
        this.operatingPeriodFrom = operatingPeriodFrom;
    }

    public String getOperatingPeriodEnd() {
        return operatingPeriodEnd;
    }

    public void setOperatingPeriodEnd(String operatingPeriodEnd) {
        this.operatingPeriodEnd = operatingPeriodEnd;
    }

    public String getRegistOrgan() {
        return registOrgan;
    }

    public void setRegistOrgan(String registOrgan) {
        this.registOrgan = registOrgan;
    }

    public String getRegistStatus() {
        return registStatus;
    }

    public void setRegistStatus(String registStatus) {
        this.registStatus = registStatus;
    }

    public String getRegistNo() {
        return registNo;
    }

    public void setRegistNo(String registNo) {
        this.registNo = registNo;
    }

    public String getOrganCode() {
        return organCode;
    }

    public void setOrganCode(String organCode) {
        this.organCode = organCode;
    }

    public String getCheckDate() {
        return checkDate;
    }

    public void setCheckDate(String checkDate) {
        this.checkDate = checkDate;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getBusinessScope() {
        return businessScope;
    }

    public void setBusinessScope(String businessScope) {
        this.businessScope = businessScope;
    }

    public String getEntCreditRating() {
        return entCreditRating;
    }

    public void setEntCreditRating(String entCreditRating) {
        this.entCreditRating = entCreditRating;
    }

    public String getNetAsset() {
        return netAsset;
    }

    public void setNetAsset(String netAsset) {
        this.netAsset = netAsset;
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getTimestamps() {
        return timestamps;
    }

    public void setTimestamps(String timestamps) {
        this.timestamps = timestamps;
    }

    public String getInstitution() {
        return institution;
    }

    public void setInstitution(String institution) {
        this.institution = institution;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }
}
